Bug 49383 - ab -v2 SSL memory leak
Summary: ab -v2 SSL memory leak
Status: RESOLVED FIXED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: support (show other bugs)
Version: 2.5-HEAD
Hardware: PC Linux
: P2 minor (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: FixedInTrunk
Depends on:
Blocks:
 
Reported: 2010-06-03 17:02 UTC by Pavel Kankovsky
Modified: 2012-02-26 17:04 UTC (History)
0 users



Attachments
proposed patch (699 bytes, patch)
2010-06-03 17:02 UTC, Pavel Kankovsky
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Kankovsky 2010-06-03 17:02:45 UTC
Created attachment 25521 [details]
proposed patch

The following command in ssl_print_cert_info()

    BIO_printf(bio,"Public key is %d bits\n",
               EVP_PKEY_bits(X509_get_pubkey(cert)));

leaks memory because X509_get_pubkey() allocates a new object.
Comment 1 Stefan Fritsch 2010-06-06 15:26:16 UTC
Thanks. Commited to trunk as r951932
Comment 2 Stefan Fritsch 2012-02-26 17:04:49 UTC
fixed in 2.4.1